Bug 496777 - Review Request: perl-MooseX-MethodAttributes - Introspect your code attributes
Review Request: perl-MooseX-MethodAttributes - Introspect your code attributes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/MooseX-Me...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 01:55 EDT by Chris Weyl
Modified: 2016-08-31 09:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-31 09:19:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-04-21 01:55:00 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-MethodAttributes.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-MethodAttributes-0.06-1.fc10.src.rpm

Description:
This module allows code attributes of methods to be introspected using
Moose meta method objects.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1310691

Additional Comment:

This package is a new BR of Catalyst::Runtime 5.80001.

*rt-0.06
Comment 2 Parag AN(पराग) 2009-04-21 03:15:40 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1310695
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
9db312b0fe2b5311aac1f7c68b3133df  MooseX-MethodAttributes-0.06.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=12,  2 wallclock secs ( 0.05 usr  0.01 sys +  1.86 cusr  0.06 csys =  1.98 CPU)
+ Package perl-MooseX-MethodAttributes-0.06-2.fc11.noarch =>
  Provides: perl(MooseX::MethodAttributes) = 0.06 perl(MooseX::MethodAttributes::Inheritable) = 0.06 perl(MooseX::MethodAttributes::Role::AttrContainer) = 0.06 perl(MooseX::MethodAttributes::Role::AttrContainer::Inheritable) = 0.06 perl(MooseX::MethodAttributes::Role::Meta::Class) = 0.06 perl(MooseX::MethodAttributes::Role::Meta::Method) = 0.06 perl(MooseX::MethodAttributes::Role::Meta::Method::MaybeWrapped) = 0.06 perl(MooseX::MethodAttributes::Role::Meta::Method::Wrapped) = 0.06

Requires: perl(Moose) perl(Moose::Exporter) perl(Moose::Role) perl(Moose::Util) perl(Moose::Util::MetaRole) perl(MooseX::MethodAttributes::Role::Meta::Method::Wrapped) perl(MooseX::Types::Moose) perl(namespace::clean) perl(strict) perl(warnings)

APPROVED.
Comment 3 Chris Weyl 2009-04-21 11:41:40 EDT
New Package CVS Request
=======================
Package Name: perl-MooseX-MethodAttributes
Short Description: Introspect your code attributes
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2009-04-23 12:48:33 EDT
cvs done.

(Oh, I assumed you wanted F-11 on all these requests... you might update your template to include it moving forward).
Comment 5 Chris Weyl 2009-04-24 02:26:07 EDT
Thanks for the review! :-)
Comment 6 Iain Arnell 2010-08-25 01:47:05 EDT
Package Change Request
======================
Package Name: perl-MooseX-MethodAttributes
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig
Comment 7 Kevin Fenzi 2010-08-25 13:24:56 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2016-07-20 10:44:29 EDT
perl-MooseX-MethodAttributes-0.24-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-00e77e737b
Comment 9 Fedora Update System 2016-07-20 14:17:43 EDT
perl-MooseX-MethodAttributes-0.24-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-00e77e737b
Comment 10 Fedora Update System 2016-08-31 09:19:49 EDT
perl-MooseX-MethodAttributes-0.24-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.